#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-2 hidden-mobile">#{include 'pl/filter-penyedia.html'/}</div>
		
		<div class="col-md-10">
            <div class="toolbar">
                <a href="@{create()}" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'penyedia.label'}</a>
            </div>
            
            #{alert /}
			<div class="panel panel-default">
				<div class="panel-body hidden-mobile" style="overflow-x: auto">
					<!-- Data Table -->
					<table class="table table-striped" id="tblPenyedia">
						<thead>
							<tr>
								<th class="header-center header-no-padding">&{'nomor.label'}</th>
								<th class="header-center header-no-padding">&{'nama_penyedia.label'}</th>
								<th class="header-center header-no-padding">&{'pengguna_terkait.label'}</th>
								<th class="header-center header-no-padding">&{'situs_web.label'}</th>
								<th class="header-center header-no-padding">&{'kontrak.label'}</th>
								<th class="header-center header-no-padding">&{'distributor.label'}</th>
								<th></th>
							</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
				<div class="panel-body" style="overflow-x: auto">
					<!-- Data Table -->
					<table class="table table-striped only-mobile" id="tblPenyediaMobile">
						<thead>
						<tr>
							<th class="header-center header-no-padding">&{'nomor.label'}</th>
							<th class="header-center header-no-padding">&{'nama_penyedia.label'}</th>
							<th class="header-center header-no-padding">&{'pengguna_terkait.label'}</th>
							<th class="header-center header-no-padding">&{'situs_web.label'}</th>
							<th class="header-center header-no-padding">&{'kontrak.label'}</th>
							<th class="header-center header-no-padding">&{'distributor.label'}</th>
							<th></th>
						</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>
	<div class="btn-footer">
		<div class="row">
			<div class="col-xs-12">
				<a href="#" onclick="openFilterMasterdataPenyedia()">Filter</a>
			</div>
		</div>
	</div>
	<div class="faq" id="mobile-sidebar">
		<div class="mobile-navigation-bar">
			<a href="#" onclick="closeSidebar()">
				<i class="fa fa-arrow-circle-left"></i> &{'penyedia.label'}
			</a>
		</div>
		<div class="container-fluid">
			<div class="row">
				<div class="col-xs-12 col-sm-12">
					#{include 'pl/filter-penyedia.html'/}
				</div>
			</div>
		</div>
	</div>
</div>

#{openEditModal product:false/}

#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
	jQuery(document).ready(function($) {
		$("#tblPenyedia").dataTable({
			'searching': false,
			ajax : {
				url : "@{masterdata.penyedia.ProviderDataTable.cariPenyedia()}",
				method: "POST",
				data: function (d) {
				    d.keyword = $(".hidden-mobile #keyword").val();
                    d.commodity = $(".hidden-mobile #commodity").val();
				},
				cache : true
			},
			order : [ [ 0, "asc" ] ],
			columns : [ {
				"searchable" : false, "className": "header-center",
				render : function(data, type, row, meta) {
					return meta.row + meta.settings._iDisplayStart + 1 + ".";
				}
			}, {
				"searchable" : true
			}, {
				"searchable" : true
			}, {
				"searchable" : true
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			} ]
		});
		$("#tblPenyediaMobile").dataTable({
			'searching': false,
			ajax : {
				url : "@{masterdata.penyedia.ProviderDataTable.cariPenyedia()}",
				method: "POST",
				data: function (d) {
					d.keyword = $("#mobile-sidebar #keyword").val();
					d.commodity = $("#mobile-sidebar #commodity").val();
				},
				cache : true
			},
			order : [ [ 0, "asc" ] ],
			columns : [ {
				"searchable" : false, "className": "header-center",
				render : function(data, type, row, meta) {
					return meta.row + meta.settings._iDisplayStart + 1 + ".";
				}
			}, {
				"searchable" : true
			}, {
				"searchable" : true
			}, {
				"searchable" : true
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			} ]
		});

		$('.hidden-mobile .search-provider').click(function () {
            $("#tblPenyedia").DataTable().ajax.reload();
		});
		$('#mobile-sidebar .search-provider').click(function () {
			$("#tblPenyediaMobile").DataTable().ajax.reload();
			closeSidebar();
		});

        var currentId;
        jQuery(document).on('click', '.open-edit', function () {
            var view = jQuery(this);
            currentId =view.data('value');
            openModal();
        });

        jQuery('.open-button-yes').click(function () {
            if (jQuery('.expired').val() === '') {
                showToast("Belum mengisi tanggal", false);
            } else {
                send();
            }
        });

        function openModal() {
            jQuery('#open-edit-modal').modal({
                backdrop: 'static',
                keyboard: false
            });
        }

        function send() {
            jQuery.ajax({
                dataType: "json",
                url: "@{katalog.ProductPermissionCtr.openByProvider()}",
                method: "POST",
                data: {
                    id: currentId,
                    expired: jQuery('.expired').val()
                },
                success: function (result) {
                    showToast(result.message, result.isSuccess);
                    if (result.isSuccess) {
                        jQuery('#open-edit-modal').modal('hide');
                    }
                },
                fail: function (e) {
                    showToast("Terjadi kesalahan", false);
                }
            });
        }

        jQuery('#open-edit-modal').on('hidden.bs.modal', function () {
            jQuery('.expired').val('');
        });

        function showToast(message, success) {
            jQuery.toast({
                heading: success ? 'Berhasil' : 'Oops',
                text: message,
                position: 'bottom-center',
                stack: false,
                icon: success ? 'success' : 'error',
                hideAfter: 6000
            })
        }

        $('.hidden-mobile #keyword').keypress(function(event){
            var keycode = event.keyCode || event.which;
            if(keycode == '13') {
                $('.hidden-mobile .search-provider').click();
                return false;
            }
            return;
        });
		$('#mobile-sidebar #keyword').keypress(function(event){
			var keycode = event.keyCode || event.which;
			if(keycode == '13') {
				$('#mobile-sidebar .search-provider').click();
				closeSidebar();
				return false;
			}
			return;
		});

	});
</script>
#{/set}

#{set 'moreStyles'}
	<style>
		@media (min-width: 768px) {
			#tblPenyediaMobile_length, #tblPenyediaMobile_info, #tblPenyediaMobile_paginate {
				display: none;
			}
		}
	</style>
#{/set}
